<?php

if ( class_exists("Kirki")){

	// LOGO

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'nonprofit_organization_logo_resizer',
		'label'       => esc_html__( 'Adjust Your Logo Size ', 'nonprofit-organization' ),
		'section'     => 'title_tagline',
		'default'     => 70,
		'choices'     => [
			'min'  => 10,
			'max'  => 300,
			'step' => 10,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'nonprofit_organization_enable_logo_text',
		'section'     => 'title_tagline',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Site Title and Tagline', 'nonprofit-organization' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'nonprofit_organization_display_header_title',
		'label'       => esc_html__( 'Site Title Enable / Disable Button', 'nonprofit-organization' ),
		'section'     => 'title_tagline',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'nonprofit-organization' ),
			'off' => esc_html__( 'Disable', 'nonprofit-organization' ),
		],
		'partial_refresh'    => [
		'nonprofit_organization_display_header_title' => [
			'selector'        => '.logo a',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'nonprofit_organization_display_header_text',
		'label'       => esc_html__( 'Tagline Enable / Disable Button', 'nonprofit-organization' ),
		'section'     => 'title_tagline',
		'default'     => false,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'nonprofit-organization' ),
			'off' => esc_html__( 'Disable', 'nonprofit-organization' ),
		],
		'partial_refresh'    => [
		'nonprofit_organization_display_header_text' => [
			'selector'        => '.logo-content span',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	// FONT STYLE TYPOGRAPHY

	Kirki::add_panel( 'nonprofit_organization_panel_id', array(
	    'priority'    => 10,
	    'title'       => esc_html__( 'Typography', 'nonprofit-organization' ),
	) );

	Kirki::add_section( 'nonprofit_organization_font_style_section', array(
		'title'      => esc_attr__( 'Typography Option',  'nonprofit-organization' ),
		'priority'   => 2,
		'capability' => 'edit_theme_options',
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'nonprofit_organization_all_headings_typography',
		'section'     => 'nonprofit_organization_font_style_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Heading Of All Sections',  'nonprofit-organization' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'global', array(
		'type'        => 'typography',
		'settings'    => 'nonprofit_organization_all_headings_typography',
		'label'       => esc_attr__( 'Heading Typography',  'nonprofit-organization' ),
		'description' => esc_attr__( 'Select the typography options for your heading.',  'nonprofit-organization' ),
		'section'     => 'nonprofit_organization_font_style_section',
		'priority'    => 10,
		'default'     => array(
			'font-family'    => '',
			'variant'        => '',
		),
		'output' => array(
			array(
				'element' => array( 'h1','h2','h3','h4','h5','h6', ),
			),
		),
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'nonprofit_organization_body_content_typography',
		'section'     => 'nonprofit_organization_font_style_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Body Content',  'nonprofit-organization' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'global', array(
		'type'        => 'typography',
		'settings'    => 'nonprofit_organization_body_content_typography',
		'label'       => esc_attr__( 'Content Typography',  'nonprofit-organization' ),
		'description' => esc_attr__( 'Select the typography options for your content.',  'nonprofit-organization' ),
		'section'     => 'nonprofit_organization_font_style_section',
		'priority'    => 10,
		'default'     => array(
			'font-family'    => '',
			'variant'        => '',
		),
		'output' => array(
			array(
				'element' => array( 'body', ),
			),
		),
	) );

	// PANEL

	Kirki::add_panel( 'nonprofit_organization_panel_id', array(
	    'priority'    => 10,
	    'title'       => esc_html__( 'Theme Options', 'nonprofit-organization' ),
	) );

	// Additional Settings

	Kirki::add_section( 'nonprofit_organization_Additional_settings', array(
	    'title'          => esc_html__( 'Additional Settings', 'nonprofit-organization' ),
	    'description'    => esc_html__( 'Scroll To Top', 'nonprofit-organization' ),
	    'panel'          => 'nonprofit_organization_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'nonprofit_organization_scroll_enable_setting',
		'label'       => esc_html__( 'Here you can enable or disable your scroller.', 'nonprofit-organization' ),
		'section'     => 'nonprofit_organization_Additional_settings',
		'default'     => '0',
		'priority'    => 10,
		'partial_refresh'    => [
		'nonprofit_organization_scroll_enable_setting' => [
			'selector'        => '.scroll-up a',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'dashicons',
		'settings' => 'nonprofit_organization_scroll_top_icon',
		'label'    => esc_html__( 'Select Appropriate Scroll Top Icon', 'nonprofit-organization' ),
		'section'  => 'nonprofit_organization_Additional_settings',
		'default'  => 'dashicons dashicons-arrow-up-alt',
		'priority' => 10,
	] );


	new \Kirki\Field\Select(
	[
		'settings'    => 'menu_text_transform_nonprofit_organization',
		'label'       => esc_html__( 'Menus Text Transform', 'nonprofit-organization' ),
		'section'     => 'nonprofit_organization_Additional_settings',
		'default'     => 'UPPERCASE',
		'placeholder' => esc_html__( 'Choose an option', 'nonprofit-organization' ),
		'choices'     => [
			'CAPITALISE' => esc_html__( 'CAPITALISE', 'nonprofit-organization' ),
			'UPPERCASE' => esc_html__( 'UPPERCASE', 'nonprofit-organization' ),
			'LOWERCASE' => esc_html__( 'LOWERCASE', 'nonprofit-organization' ),

		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'nonprofit_organization_menu_zoom',
		'label'       => esc_html__( 'Menu Transition', 'nonprofit-organization' ),
		'section'     => 'nonprofit_organization_Additional_settings',
		'default' => 'None',
		'placeholder' => esc_html__( 'Choose an option', 'nonprofit-organization' ),
		'choices'     => [
			'None' => __('None','nonprofit-organization'),
            'Zoominn' => __('Zoom Inn','nonprofit-organization'),
            
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'nonprofit_organization_container_width',
		'label'       => esc_html__( 'Theme Container Width', 'nonprofit-organization' ),
		'section'     => 'nonprofit_organization_Additional_settings',
		'default'     => 100,
		'choices'     => [
			'min'  => 50,
			'max'  => 100,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'nonprofit_organization_sticky_header',
		'label'       => esc_html__( 'Here you can enable or disable your Sticky Header.', 'nonprofit-organization' ),
		'section'     => 'nonprofit_organization_Additional_settings',
		'default'     => false,
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'nonprofit_organization_site_loader',
		'label'       => esc_html__( 'Here you can enable or disable your Site Loader.', 'nonprofit-organization' ),
		'section'     => 'nonprofit_organization_Additional_settings',
		'default'     => false,
		'priority'    => 10,
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'nonprofit_organization_page_layout',
		'label'       => esc_html__( 'Page Layout Setting', 'nonprofit-organization' ),
		'section'     => 'nonprofit_organization_Additional_settings',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'nonprofit-organization' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','nonprofit-organization'),
            'Right Sidebar' => __('Right Sidebar','nonprofit-organization'),
            'One Column' => __('One Column','nonprofit-organization')
		],
	] );

	if ( class_exists("woocommerce")){

	// Woocommerce Settings

	Kirki::add_section( 'nonprofit_organization_woocommerce_settings', array(
		'title'          => esc_html__( 'Woocommerce Settings', 'nonprofit-organization' ),
		'description'    => esc_html__( 'Shop Page', 'nonprofit-organization' ),
		'panel'          => 'nonprofit_organization_panel_id',
		'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'nonprofit_organization_shop_sidebar',
		'label'       => esc_html__( 'Here you can enable or disable shop page sidebar.', 'nonprofit-organization' ),
		'section'     => 'nonprofit_organization_woocommerce_settings',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'nonprofit_organization_product_sidebar',
		'label'       => esc_html__( 'Here you can enable or disable product page sidebar.', 'nonprofit-organization' ),
		'section'     => 'nonprofit_organization_woocommerce_settings',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'nonprofit_organization_related_product_setting',
		'label'       => esc_html__( 'Here you can enable or disable your related products.', 'nonprofit-organization' ),
		'section'     => 'nonprofit_organization_woocommerce_settings',
		'default'     => true,
		'priority'    => 10,
	] );

	new \Kirki\Field\Number(
	[
		'settings' => 'nonprofit_organization_per_columns',
		'label'    => esc_html__( 'Product Per Row', 'nonprofit-organization' ),
		'section'  => 'nonprofit_organization_woocommerce_settings',
		'default'  => 3,
		'choices'  => [
			'min'  => 1,
			'max'  => 4,
			'step' => 1,
		],
	]
	);

	new \Kirki\Field\Number(
	[
		'settings' => 'nonprofit_organization_product_per_page',
		'label'    => esc_html__( 'Product Per Page', 'nonprofit-organization' ),
		'section'  => 'nonprofit_organization_woocommerce_settings',
		'default'  => 9,
		'choices'  => [
			'min'  => 1,
			'max'  => 15,
			'step' => 1,
		],
	]
	);

	new \Kirki\Field\Number(
	[
		'settings' => 'custom_related_products_number_per_row',
		'label'    => esc_html__( 'Related Product Per Column', 'nonprofit-organization' ),
		'section'  => 'nonprofit_organization_woocommerce_settings',
		'default'  => 3,
		'choices'  => [
			'min'  => 1,
			'max'  => 4,
			'step' => 1,
		],
	]
	);

	new \Kirki\Field\Number(
	[
		'settings' => 'custom_related_products_number',
		'label'    => esc_html__( 'Related Product Per Page', 'nonprofit-organization' ),
		'section'  => 'nonprofit_organization_woocommerce_settings',
		'default'  => 3,
		'choices'  => [
			'min'  => 1,
			'max'  => 10,
			'step' => 1,
		],
	]
	);

	new \Kirki\Field\Select(
	[
		'settings'    => 'nonprofit_organization_shop_page_layout',
		'label'       => esc_html__( 'Shop Page Layout Setting', 'nonprofit-organization' ),
		'section'     => 'nonprofit_organization_woocommerce_settings',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'nonprofit-organization' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','nonprofit-organization'),
            'Right Sidebar' => __('Right Sidebar','nonprofit-organization')
		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'nonprofit_organization_product_page_layout',
		'label'       => esc_html__( 'Product Page Layout Setting', 'nonprofit-organization' ),
		'section'     => 'nonprofit_organization_woocommerce_settings',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'nonprofit-organization' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','nonprofit-organization'),
            'Right Sidebar' => __('Right Sidebar','nonprofit-organization')
		],
	] );

	new \Kirki\Field\Radio_Buttonset(
	[
		'settings'    => 'nonprofit_organization_woocommerce_pagination_position',
		'label'       => esc_html__( 'Woocommerce Pagination Alignment', 'nonprofit-organization' ),
		'section'     => 'nonprofit_organization_woocommerce_settings',
		'default'     => 'Center',
		'priority'    => 10,
		'choices'     => [
			'Left'   => esc_html__( 'Left', 'nonprofit-organization' ),
			'Center' => esc_html__( 'Center', 'nonprofit-organization' ),
			'Right'  => esc_html__( 'Right', 'nonprofit-organization' ),
		],
	]
	);

}

	// POST SECTION

	Kirki::add_section( 'nonprofit_organization_section_post', array(
	    'title'          => esc_html__( 'Post Settings', 'nonprofit-organization' ),
	    'description'    => esc_html__( 'Here you can get different post settings', 'nonprofit-organization' ),
	    'panel'          => 'nonprofit_organization_panel_id',
	    'priority'       => 160,
	) );

	new \Kirki\Field\Sortable(
	[
		'settings' => 'nonprofit_organization_archive_element_sortable',
		'label'    => __( 'Archive Post Page element Reordering', 'nonprofit-organization' ),
		'section'  => 'nonprofit_organization_section_post',
		'default'  => [ 'option1', 'option2', 'option3' ],
		'choices'  => [
			'option1' => esc_html__( 'Post Meta', 'nonprofit-organization' ),
			'option2' => esc_html__( 'Post Title', 'nonprofit-organization' ),
			'option3' => esc_html__( 'Post Content', 'nonprofit-organization' ),
		],
	]
	);

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'nonprofit_organization_post_excerpt_number',
		'label'       => esc_html__( 'Post Content Range', 'nonprofit-organization' ),
		'section'     => 'nonprofit_organization_section_post',
		'default'     => 15,
		'choices'     => [
			'min'  => 0,
			'max'  => 25,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'nonprofit_organization_pagination_setting',
		'label'       => esc_html__( 'Here you can enable or disable your Pagination.', 'nonprofit-organization' ),
		'section'     => 'nonprofit_organization_section_post',
		'default'     => true,
		'priority'    => 10,
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'nonprofit_organization_archive_sidebar_layout',
		'label'       => esc_html__( 'Archive Post Sidebar Layout Setting', 'nonprofit-organization' ),
		'section'     => 'nonprofit_organization_section_post',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'nonprofit-organization' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','nonprofit-organization'),
            'Right Sidebar' => __('Right Sidebar','nonprofit-organization')
		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'nonprofit_organization_single_post_sidebar_layout',
		'label'       => esc_html__( 'Single Post Sidebar Layout Setting', 'nonprofit-organization' ),
		'section'     => 'nonprofit_organization_section_post',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'nonprofit-organization' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','nonprofit-organization'),
            'Right Sidebar' => __('Right Sidebar','nonprofit-organization')
		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'nonprofit_organization_search_sidebar_layout',
		'label'       => esc_html__( 'Search Page Sidebar Layout Setting', 'nonprofit-organization' ),
		'section'     => 'nonprofit_organization_section_post',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'nonprofit-organization' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','nonprofit-organization'),
            'Right Sidebar' => __('Right Sidebar','nonprofit-organization')
		],
	] );

	Kirki::add_field( 'nonprofit_organization_config', [
		'type'        => 'select',
		'settings'    => 'nonprofit_organization_post_column_count',
		'label'       => esc_html__( 'Grid Column for Archive Page', 'nonprofit-organization' ),
		'section'     => 'nonprofit_organization_section_post',
		'default'    => '2',
		'choices' => [
				'1' => __( '1 Column', 'nonprofit-organization' ),
				'2' => __( '2 Column', 'nonprofit-organization' ),
				'3' => __( '3 Column', 'nonprofit-organization' ),
				'4' => __( '4 Column', 'nonprofit-organization' ),
			],
	] );

	// HEADER SECTION

	Kirki::add_section( 'nonprofit_organization_section_header', array(
	    'title'          => esc_html__( 'Header Settings', 'nonprofit-organization' ),
	    'description'    => esc_html__( 'Here you can add header information.', 'nonprofit-organization' ),
	    'panel'          => 'nonprofit_organization_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'nonprofit_organization_header_phone_support_heading',
		'section'     => 'nonprofit_organization_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Add Phone Number', 'nonprofit-organization' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'nonprofit_organization_phone_support_text',
		'section'  => 'nonprofit_organization_section_header',
		'default'  => '',
		'partial_refresh'    => [
		'nonprofit_organization_phone_support_text' => [
			'selector'        => '.top-header i',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'nonprofit_organization_phone_support',
		'section'  => 'nonprofit_organization_section_header',
		'default'  => '',
		'sanitize_callback' => 'nonprofit_organization_sanitize_phone_number',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'nonprofit_organization_header_email_support_heading',
		'section'     => 'nonprofit_organization_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Add Email Address', 'nonprofit-organization' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'nonprofit_organization_email_support_text',
		'section'  => 'nonprofit_organization_section_header',
		'default'  => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'nonprofit_organization_email_support',
		'section'  => 'nonprofit_organization_section_header',
		'default'  => '',
		'sanitize_callback' => 'sanitize_email',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'nonprofit_organization_header_location_heading',
		'section'     => 'nonprofit_organization_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Add Location', 'nonprofit-organization' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'nonprofit_organization_location_text',
		'section'  => 'nonprofit_organization_section_header',
		'default'  => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'nonprofit_organization_location',
		'section'  => 'nonprofit_organization_section_header',
		'default'  => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'nonprofit_organization_header_donation_heading',
		'section'     => 'nonprofit_organization_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Add Donation Button', 'nonprofit-organization' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'nonprofit_organization_donation_text',
		'section'  => 'nonprofit_organization_section_header',
		'default'  => '',
		'partial_refresh'    => [
		'nonprofit_organization_donation_text' => [
			'selector'        => '.header p.slider-button a',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'link',
		'settings' => 'nonprofit_organization_donation_link',
		'section'  => 'nonprofit_organization_section_header',
		'default'  => '',
	] );

	// SLIDER SECTION

	Kirki::add_section( 'nonprofit_organization_blog_slide_section', array(
        'title'          => esc_html__( ' Slider Settings', 'nonprofit-organization' ),
        'description'    => esc_html__( 'You have to select post category to show slider.', 'nonprofit-organization' ),
        'panel'          => 'nonprofit_organization_panel_id',
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'nonprofit_organization_enable_heading',
		'section'     => 'nonprofit_organization_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Slider', 'nonprofit-organization' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'nonprofit_organization_blog_box_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'nonprofit-organization' ),
		'section'     => 'nonprofit_organization_blog_slide_section',
		'default'     => '0',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'nonprofit-organization' ),
			'off' => esc_html__( 'Disable', 'nonprofit-organization' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'nonprofit_organization_title_unable_disable',
		'label'       => esc_html__( 'Slide Title Enable / Disable', 'nonprofit-organization' ),
		'section'     => 'nonprofit_organization_blog_slide_section',
		'default'     => '0',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'nonprofit-organization' ),
			'off' => esc_html__( 'Disable', 'nonprofit-organization' ),
		],
		'partial_refresh'    => [
		'nonprofit_organization_title_unable_disable' => [
			'selector'        => '.blog_box h3',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'nonprofit_organization_button_unable_disable',
		'label'       => esc_html__( 'Slide Button Enable / Disable', 'nonprofit-organization' ),
		'section'     => 'nonprofit_organization_blog_slide_section',
		'default'     => '0',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'nonprofit-organization' ),
			'off' => esc_html__( 'Disable', 'nonprofit-organization' ),
		],
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'nonprofit_organization_slider_heading',
		'section'     => 'nonprofit_organization_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Slider', 'nonprofit-organization' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'number',
		'settings'    => 'nonprofit_organization_blog_slide_number',
		'label'       => esc_html__( 'Number of slides to show', 'nonprofit-organization' ),
		'section'     => 'nonprofit_organization_blog_slide_section',
		'default'     => 0,
		'choices'     => [
			'min'  => 1,
			'max'  => 5,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'select',
		'settings'    => 'nonprofit_organization_blog_slide_category',
		'label'       => esc_html__( 'Select the category to show slider ( Image Dimension 1600 x 600 )', 'nonprofit-organization' ),
		'section'     => 'nonprofit_organization_blog_slide_section',
		'default'     => '',
		'placeholder' => esc_html__( 'Select an category...', 'nonprofit-organization' ),
		'priority'    => 10,
		'choices'     => nonprofit_organization_get_categories_select(),
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'    => 'Extra Slider Text',
		'settings' => 'nonprofit_organization_extra_text',
		'section'  => 'nonprofit_organization_blog_slide_section',
		'default'  => '',
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'nonprofit_organization_slider_content_alignment',
		'label'       => esc_html__( 'Slider Content Alignment', 'nonprofit-organization' ),
		'section'     => 'nonprofit_organization_blog_slide_section',
		'default'     => 'LEFT-ALIGN',
		'placeholder' => esc_html__( 'Choose an option', 'nonprofit-organization' ),
		'choices'     => [
			'LEFT-ALIGN' => esc_html__( 'LEFT-ALIGN', 'nonprofit-organization' ),
			'CENTER-ALIGN' => esc_html__( 'CENTER-ALIGN', 'nonprofit-organization' ),
			'RIGHT-ALIGN' => esc_html__( 'RIGHT-ALIGN', 'nonprofit-organization' ),

		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'nonprofit_organization_slider_opacity_color',
		'label'       => esc_html__( 'Slider Opacity Option', 'nonprofit-organization' ),
		'section'     => 'nonprofit_organization_blog_slide_section',
		'default'     => '0.4',
		'placeholder' => esc_html__( 'Choose an option', 'nonprofit-organization' ),
		'choices'     => [
			'0' => esc_html__( '0', 'nonprofit-organization' ),
			'0.1' => esc_html__( '0.1', 'nonprofit-organization' ),
			'0.2' => esc_html__( '0.2', 'nonprofit-organization' ),
			'0.3' => esc_html__( '0.3', 'nonprofit-organization' ),
			'0.4' => esc_html__( '0.4', 'nonprofit-organization' ),
			'0.5' => esc_html__( '0.5', 'nonprofit-organization' ),
			'0.6' => esc_html__( '0.6', 'nonprofit-organization' ),
			'0.7' => esc_html__( '0.7', 'nonprofit-organization' ),
			'0.8' => esc_html__( '0.8', 'nonprofit-organization' ),
			'0.9' => esc_html__( '0.9', 'nonprofit-organization' ),
			'1.0' => esc_html__( '1.0', 'nonprofit-organization' ),
			

		],
	] );

	 Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'nonprofit_organization_overlay_option',
		'label'       => esc_html__( 'Enable / Disable Slider Overlay', 'nonprofit-organization' ),
		'section'     => 'nonprofit_organization_blog_slide_section',
		'default'     => false,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'nonprofit-organization' ),
			'off' => esc_html__( 'Disable', 'nonprofit-organization' ),
		],
	] );

	 Kirki::add_field( 'theme_config_id', [
		'type'        => 'color',
		'settings'    => 'nonprofit_organization_slider_image_overlay_color',
		'label'       => __( 'choose your Appropriate Overlay Color', 'nonprofit-organization' ),
		'section'     => 'nonprofit_organization_blog_slide_section',
		'default'     => '',
	] );



	// FEATURED CAMPAIGNS SECTION

	Kirki::add_section( 'nonprofit_organization_featured_campaigns_section', array(
	    'title'          => esc_html__( 'Featured Campaigns Settings', 'nonprofit-organization' ),
	    'description'    => esc_html__( 'Here you can add campaigns post.', 'nonprofit-organization' ),
	    'panel'          => 'nonprofit_organization_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'nonprofit_organization_enable_heading',
		'section'     => 'nonprofit_organization_featured_campaigns_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Featured Campaigns',  'nonprofit-organization' ) . '</h3>',
		'priority'    => 1,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'nonprofit_organization_featured_campaigns_section_enable',
		'label'       => esc_html__( 'Section Enable / Disable',  'nonprofit-organization' ),
		'section'     => 'nonprofit_organization_featured_campaigns_section',
		'default'     => '0',
		'priority'    => 2,
		'choices'     => [
			'on'  => esc_html__( 'Enable',  'nonprofit-organization' ),
			'off' => esc_html__( 'Disable',  'nonprofit-organization' ),
		],
		'partial_refresh'    => [
		'nonprofit_organization_featured_campaigns_section_enable' => [
			'selector'        => '.featured-box h3',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	Kirki::add_field( 'theme_config_id', [
        'type'     => 'text',
        'settings' => 'nonprofit_organization_featured_campaigns_heading' ,
        'label'    => esc_html__( 'Heading',  'nonprofit-organization' ),
        'section'  => 'nonprofit_organization_featured_campaigns_section',
    ] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'nonprofit_organization_featured_campaigns_cat_heading',
		'section'     => 'nonprofit_organization_featured_campaigns_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( ' Category Dropdown', 'nonprofit-organization' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'number',
		'settings'    => 'nonprofit_organization_featured_campaigns_number',
		'label'       => esc_html__( 'Number of post to show', 'nonprofit-organization' ),
		'section'     => 'nonprofit_organization_featured_campaigns_section',
		'default'     => 0,
		'choices'     => [
			'min'  => 1,
			'max'  => 10,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'select',
		'settings'    => 'nonprofit_organization_featured_campaigns_category',
		'label'       => esc_html__( 'Select the category to show left side post', 'nonprofit-organization' ),
		'section'     => 'nonprofit_organization_featured_campaigns_section',
		'default'     => '',
		'placeholder' => esc_html__( 'Select an category...', 'nonprofit-organization' ),
		'priority'    => 10,
		'choices'     => nonprofit_organization_get_categories_select(),
	] );

	// FOOTER SECTION

	Kirki::add_section( 'nonprofit_organization_footer_section', array(
        'title'          => esc_html__( 'Footer Settings', 'nonprofit-organization' ),
        'description'    => esc_html__( 'Here you can change copyright text', 'nonprofit-organization' ),
        'panel'          => 'nonprofit_organization_panel_id',
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'nonprofit_organization_footer_text_heading',
		'section'     => 'nonprofit_organization_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Text', 'nonprofit-organization' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'nonprofit_organization_footer_text',
		'section'  => 'nonprofit_organization_footer_section',
		'default'  => '',
		'priority' => 10,
		'partial_refresh'    => [
		'nonprofit_organization_footer_text' => [
			'selector'        => '.copy-text p',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'nonprofit_organization_footer_enable_heading',
		'section'     => 'nonprofit_organization_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Footer Link', 'nonprofit-organization' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'nonprofit_organization_copyright_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'nonprofit-organization' ),
		'section'     => 'nonprofit_organization_footer_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'nonprofit-organization' ),
			'off' => esc_html__( 'Disable', 'nonprofit-organization' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
	'type'        => 'custom',
	'settings'    => 'nonprofit_organization_footer_text_heading_2',
	'section'     => 'nonprofit_organization_footer_section',
	'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Alignment', 'nonprofit-organization' ) . '</h3>',
	'priority'    => 10,
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'nonprofit_organization_copyright_text_alignment',
		'label'       => esc_html__( 'Copyright text Alignment', 'nonprofit-organization' ),
		'section'     => 'nonprofit_organization_footer_section',
		'default'     => 'LEFT-ALIGN',
		'placeholder' => esc_html__( 'Choose an option', 'nonprofit-organization' ),
		'choices'     => [
			'LEFT-ALIGN' => esc_html__( 'LEFT-ALIGN', 'nonprofit-organization' ),
			'CENTER-ALIGN' => esc_html__( 'CENTER-ALIGN', 'nonprofit-organization' ),
			'RIGHT-ALIGN' => esc_html__( 'RIGHT-ALIGN', 'nonprofit-organization' ),

		],
	] );

	Kirki::add_field( 'theme_config_id', [
	'type'        => 'custom',
	'settings'    => 'nonprofit_organization_footer_text_heading_1',
	'section'     => 'nonprofit_organization_footer_section',
	'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Background Color', 'nonprofit-organization' ) . '</h3>',
	'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'color',
		'settings'    => 'nonprofit_organization_copyright_bg',
		'label'       => __( 'Choose Your Copyright Background Color', 'nonprofit-organization' ),
		'section'     => 'nonprofit_organization_footer_section',
		'default'     => '',
	] );
}
