<?php

/**
* Get started notice
*/

add_action( 'wp_ajax_nonprofit_organization_dismissed_notice_handler', 'nonprofit_organization_ajax_notice_handler' );

function nonprofit_organization_ajax_notice_handler() {
    if ( isset( $_POST['type'] ) ) {
        $type = sanitize_text_field( wp_unslash( $_POST['type'] ) );
        update_option( 'dismissed-' . $type, TRUE );
    }
}

function nonprofit_organization_deprecated_hook_admin_notice() {
        if ( ! get_option('dismissed-get_started', FALSE ) ) { ?>

            <?php
            $current_screen = get_current_screen();
				if ($current_screen->id !== 'appearance_page_nonprofit-organization-guide-page') {
             $nonprofit_organization_comments_theme = wp_get_theme(); ?>
            <div class="nonprofit-organization-notice-wrapper updated notice notice-get-started-class is-dismissible" data-notice="get_started">
			<div class="nonprofit-organization-notice">
				<div class="nonprofit-organization-notice-img">
					<img src="<?php echo esc_url(get_template_directory_uri() . '/assets/images/admin-logo.png'); ?>" alt="<?php esc_attr_e('logo', 'nonprofit-organization'); ?>">
				</div>
				<div class="nonprofit-organization-notice-content">
					<div class="nonprofit-organization-notice-heading"><?php esc_html_e('Thanks for installing ','nonprofit-organization'); ?><?php echo esc_html( $nonprofit_organization_comments_theme ); ?></div>
					<p><?php printf(__('In order to fully benefit from everything our theme has to offer, please make sure you visit our <a href="%s">For Premium Options</a>.', 'nonprofit-organization'), esc_url(admin_url('themes.php?page=nonprofit-organization-guide-page'))); ?></p>
				</div>
			</div>
		</div>
        <?php }
	}
}

add_action( 'admin_notices', 'nonprofit_organization_deprecated_hook_admin_notice' );

add_action( 'admin_menu', 'nonprofit_organization_getting_started' );
function nonprofit_organization_getting_started() {
	add_theme_page( esc_html__('Get Started', 'nonprofit-organization'), esc_html__('Get Started', 'nonprofit-organization'), 'edit_theme_options', 'nonprofit-organization-guide-page', 'nonprofit_organization_test_guide');
}

function nonprofit_organization_admin_enqueue_scripts() {
	wp_enqueue_style( 'nonprofit-organization-admin-style', esc_url( get_template_directory_uri() ).'/css/main.css' );
	wp_enqueue_script( 'nonprofit-organization-admin-script', get_template_directory_uri() . '/js/nonprofit-organization-admin-script.js', array( 'jquery' ), '', true );
    wp_localize_script( 'nonprofit-organization-admin-script', 'nonprofit_organization_ajax_object',
        array( 'ajax_url' => admin_url( 'admin-ajax.php' ) )
    );
}
add_action( 'admin_enqueue_scripts', 'nonprofit_organization_admin_enqueue_scripts' );

if ( ! defined( 'NONPROFIT_ORGANIZATION_DOCS_FREE' ) ) {
define('NONPROFIT_ORGANIZATION_DOCS_FREE',__('https://www.misbahwp.com/docs/nonprofit-organization-free-docs/','nonprofit-organization'));
}
if ( ! defined( 'NONPROFIT_ORGANIZATION_DOCS_PRO' ) ) {
define('NONPROFIT_ORGANIZATION_DOCS_PRO',__('https://www.misbahwp.com/docs/nonprofit-organization-pro-docs','nonprofit-organization'));
}
if ( ! defined( 'NONPROFIT_ORGANIZATION_BUY_NOW' ) ) {
define('NONPROFIT_ORGANIZATION_BUY_NOW',__('https://www.misbahwp.com/themes/nonprofit-organization-wordpress-theme/','nonprofit-organization'));
}
if ( ! defined( 'NONPROFIT_ORGANIZATION_SUPPORT_FREE' ) ) {
define('NONPROFIT_ORGANIZATION_SUPPORT_FREE',__('https://wordpress.org/support/theme/nonprofit-organization','nonprofit-organization'));
}
if ( ! defined( 'NONPROFIT_ORGANIZATION_REVIEW_FREE' ) ) {
define('NONPROFIT_ORGANIZATION_REVIEW_FREE',__('https://wordpress.org/support/theme/nonprofit-organization/reviews/#new-post','nonprofit-organization'));
}
if ( ! defined( 'NONPROFIT_ORGANIZATION_DEMO_PRO' ) ) {
define('NONPROFIT_ORGANIZATION_DEMO_PRO',__('https://www.misbahwp.com/demo/nonprofit-organization/','nonprofit-organization'));
}
if( ! defined( 'NONPROFIT_ORGANIZATION_THEME_BUNDLE' ) ) {
define('NONPROFIT_ORGANIZATION_THEME_BUNDLE',__('https://www.misbahwp.com/themes/wordpress-bundle/','nonprofit-organization'));
}

function nonprofit_organization_test_guide() { ?>
	<?php $nonprofit_organization_theme = wp_get_theme(); ?>

	<div class="wrap" id="main-page">
		<div id="lefty">
			<div id="admin_links">
				<a href="<?php echo esc_url( NONPROFIT_ORGANIZATION_DOCS_FREE ); ?>" target="_blank" class="blue-button-1"><?php esc_html_e( 'Documentation', 'nonprofit-organization' ) ?></a>
				<a href="<?php echo esc_url( admin_url('customize.php') ); ?>" id="customizer" target="_blank"><?php esc_html_e( 'Customize', 'nonprofit-organization' ); ?> </a>
				<a class="blue-button-1" href="<?php echo esc_url( NONPROFIT_ORGANIZATION_SUPPORT_FREE ); ?>" target="_blank" class="btn3"><?php esc_html_e( 'Support', 'nonprofit-organization' ) ?></a>
				<a class="blue-button-2" href="<?php echo esc_url( NONPROFIT_ORGANIZATION_REVIEW_FREE ); ?>" target="_blank" class="btn4"><?php esc_html_e( 'Review', 'nonprofit-organization' ) ?></a>
			</div>
			<div id="description">
				<h3><?php esc_html_e('Welcome! Thank you for choosing ','nonprofit-organization'); ?><?php echo esc_html( $nonprofit_organization_theme ); ?>  <span><?php esc_html_e('Version: ', 'nonprofit-organization'); ?><?php echo esc_html($nonprofit_organization_theme['Version']);?></span></h3>
				<img class="img_responsive" style="width:100%;" src="<?php echo esc_url( get_template_directory_uri() ); ?>/screenshot.png">
				<div id="description-insidee">
					<?php
						$nonprofit_organization_theme = wp_get_theme();
						echo wp_kses_post( apply_filters( 'misbah_theme_description', esc_html( $nonprofit_organization_theme->get( 'Description' ) ) ) );
					?>
				</div>
			</div>
		</div>

		<div id="righty">
			<div class="postboxx donate">
				<h3 class="hndle"><?php esc_html_e( 'Upgrade to Premium', 'nonprofit-organization' ); ?></h3>
				<div class="insidee">
					<p><?php esc_html_e('Discover upgraded pro features with premium version click to upgrade.','nonprofit-organization'); ?></p>
					<div id="admin_pro_links">
						<a class="blue-button-2" href="<?php echo esc_url( NONPROFIT_ORGANIZATION_BUY_NOW ); ?>" target="_blank"><?php esc_html_e( 'Go Pro', 'nonprofit-organization' ); ?></a>
						<a class="blue-button-1" href="<?php echo esc_url( NONPROFIT_ORGANIZATION_DEMO_PRO ); ?>" target="_blank"><?php esc_html_e( 'Live Demo', 'nonprofit-organization' ) ?></a>
						<a class="blue-button-2" href="<?php echo esc_url( NONPROFIT_ORGANIZATION_DOCS_PRO ); ?>" target="_blank"><?php esc_html_e( 'Pro Docs', 'nonprofit-organization' ) ?></a>
					</div>
				</div>

				<h3 class="hndle bundle"><?php esc_html_e( 'Go For Theme Bundle', 'nonprofit-organization' ); ?></h3>
				<div class="insidee theme-bundle">
					<p class="offer"><?php esc_html_e('Get 80+ Perfect WordPress Theme In A Single Package at just $79."','nonprofit-organization'); ?></p>
					<p class="coupon"><?php esc_html_e('Exclusive Offer !! Get Our Theme Pack of 60+ WordPress Themes At 10% Off','nonprofit-organization'); ?><span class="coupon-code"><?php esc_html_e('"Themespack10"','nonprofit-organization'); ?></span></p>
					<div id="admin_pro_linkss">
						<a class="blue-button-1" href="<?php echo esc_url( NONPROFIT_ORGANIZATION_THEME_BUNDLE ); ?>" target="_blank"><?php esc_html_e( 'Theme Bundle', 'nonprofit-organization' ) ?></a>
					</div>
				</div>
				<div class="d-table">
			    <ul class="d-column">
			      <li class="feature"><?php esc_html_e('Features','nonprofit-organization'); ?></li>
			      <li class="free"><?php esc_html_e('Pro','nonprofit-organization'); ?></li>
			      <li class="plus"><?php esc_html_e('Free','nonprofit-organization'); ?></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('24hrs Priority Support','nonprofit-organization'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Kirki Framework','nonprofit-organization'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Posttype','nonprofit-organization'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('One Click Demo Import','nonprofit-organization'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Section Reordering','nonprofit-organization'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Enable / Disable Option','nonprofit-organization'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Multiple Sections','nonprofit-organization'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Color Pallete','nonprofit-organization'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Widgets','nonprofit-organization'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Page Templates','nonprofit-organization'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Typography','nonprofit-organization'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Section Background Image / Color ','nonprofit-organization'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
	  		</div>
			</div>
		</div>
	</div>

<?php } ?>
